@import 'assets/variables.scss';

.root {
  margin-left: $sidebar-width;
  margin-top: $cell * 2;
  padding: $cell * 4;
}

.topSec {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: $cell * 6 !important;
}

.backAndTitle {
  display: flex;
  align-items: center;
  cursor: pointer;

  .backWrap {
    margin-right: $cell * 2;
    padding: $cell * 1;
    background-color: $dark-grey-highlight;
  }

  &:hover {
    .backWrap {
      background-color: $mid-grey;
    }
  }

  .backIcon {
    color: white;
    font-size: 1.2em !important;
  }

  .title {
    margin: 0;
  }
}

.menuWrap {
  display: flex;
  align-items: center;

  .menuItem {
    cursor: pointer;
    padding: $cell $cell * 2;
    border-radius: 5px;
    
    &:hover {
      background-color: $soft-grey;
    }

    .menuItemIcon {
      margin-right: 5px !important;
    }
  }
}